Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class AbstractTokenResponseHandler

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.AbstractTokenResponseHandler

All Implemented Interfaces:
  TokenResponseHandler

    public abstract class AbstractTokenResponseHandler

Implements the behavior of wasInvoked in the TokenResponseHandler interface.

Authors:
  Graeme Rocher

See Also:
  TokenResponseHandler#wasInvoked()#wasInvoked()

Since:
  1.1

Constructor Summary
`AbstractTokenResponseHandler(boolean valid)`

Method Summary
`java.lang.Object` | `invalidToken(groovy.lang.Closure callable)`
`protected java.lang.Object` | `invalidTokenInternal(groovy.lang.Closure callable)`
`boolean` | `wasInvalidToken()`
`boolean` | `wasInvoked()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractTokenResponseHandler

    public AbstractTokenResponseHandler(boolean valid)

Method Detail

### invalidToken

    public final java.lang.Object invalidToken(groovy.lang.Closure callable)

### invalidTokenInternal

    protected java.lang.Object invalidTokenInternal(groovy.lang.Closure callable)

### wasInvalidToken

    public boolean wasInvalidToken()

### wasInvoked

    public boolean wasInvoked()

Groovy Documentation